Bug Hunting Session
Bug 107239 - priority-X didn't work in a context container
Summary: priority-X didn't work in a context container
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Notebookbar-Resize
  Show dependency treegraph
 
Reported: 2017-04-18 06:45 UTC by andreas_k
Modified: 2017-10-12 22:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example file (418.82 KB, text/plain)
2017-04-18 14:40 UTC, andreas_k
Details
amended example file (418.50 KB, application/x-designer)
2017-04-18 18:42 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2017-04-18 06:45:25 UTC
priority- is implemented for DropdonwBox in a PriorityBox but not within a ContextContainer. So in the context related toolbar area priority- didn't work.

please make it possible to use DropdownBox in a ContextContainer where priority will work.
Comment 1 Yousuf Philips (jay) (retired) 2017-04-18 14:15:12 UTC
Have you tried placing PriorityBox within a ContextContainer child element per context, as i believe that should work fine, just like it works with multiple tabs of the tabbed implementation.

Please attach a sample test ui file if it didnt work?
Comment 2 andreas_k 2017-04-18 14:40:03 UTC
Created attachment 132655 [details]
example file

I change the subboxes to PriorityHBox, but it doesn't work like you descibe. what did I wrong?

thanks for your help
Comment 3 Yousuf Philips (jay) (retired) 2017-04-18 18:42:15 UTC
Created attachment 132658 [details]
amended example file

(In reply to andreas_k from comment #2)
> I change the subboxes to PriorityHBox, but it doesn't work like you descibe.
> what did I wrong?

The sample file didnt have PriorityHBox as a child of a ContextVBox. Well i've attached an amended version of what you provided and the functionality works now. I moved all the separators as child elements of PriorityHBox, as "DropdownBox should have only one child (eg. GtkBox) otherwise popup is not working correctly." - https://wiki.documentfoundation.org/Development/NotebookBar/Implementation#PriorityHBox_and_DropdownBox

For some strange reason ContextVBox renders smaller than it really is, which makes all the collapsible sections being collapsed even though there is more than sufficient space. Not sure if this is an issue with how you designed the file or not.
Comment 4 Szymon Kłos 2017-09-09 14:10:01 UTC
Everything works if PriorityHBox is inside ContextVBox (but all parent containers have to be horizontally expandable). Example:
https://gerrit.libreoffice.org/#/c/42125/
Comment 5 andreas_k 2017-09-11 19:21:58 UTC
when switch from one context to another context- area it wasn't update the notebookbar.
Comment 6 Commit Notification 2017-10-12 22:14:38 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=923cea6817e29405a8cdf3b3f608fef84aeb4ec1

tdf#107239 make PriorityHBox working in the compact notebookbar

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.